public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Ondrej Mosnacek <omosnace@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: selinux-testsuite: extend the CKI workaround
Date: Fri, 11 Sep 2026 13:17:42 GMT	[thread overview]
Message-ID: <178913266224.1.6643931516082781927.tests-selinux-c377fe7bc126@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : c377fe7bc1261b4c20ba443ad897da5c65000bd8
            Author : Ondrej Mosnacek <omosnace@redhat.com>
            Date   : 2019-12-28T13:46:20+01:00
            Stats  : +4/-3 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/c377fe7bc1261b4c20ba443ad897da5c65000bd8?branch=pr775-checkpolicy-revdeps

            Log:
            selinux-testsuite: extend the CKI workaround

CKI RHEL-8 builds are cross-compiled badly, so disable module_load also
when the kernel-devel built helper programs are unusable.

Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>

---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 422ac1f..6f1c35c 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -351,9 +351,10 @@ rlJournalStart
                     "Disable BPF tests on RHEL and non-x86_64 Fedora"
             fi
 
-            if ! [ -r "/lib/modules/$(uname -r)/build/Makefile" ]; then
-                # CKI mainline kernels don't ship with module build
-                # infrastructure just yet.
+            # CKI mainline kernels don't ship with module build infrastructure
+            # just yet. Also, RHEL-8 CKI kernel-devel programs are
+            # cross-compiled badly for alt arches, so try executing one of them.
+            if ! "/lib/modules/$(uname -r)/build/scripts/conmakehash" /dev/null &>/dev/null; then
                 exclude_tests+=" module_load"
             fi
 

                 reply	other threads:[~2026-09-11 13:17 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913266224.1.6643931516082781927.tests-selinux-c377fe7bc126@fedoraproject.org \
    --to=omosnace@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox